:: Disclaimer: scripts are provided as-is and most of them use tools that are open source
:: or require a (small) license fee when used in a commercial environment. It is the 
:: responsibility of the end user that use scripts to respect the license agreement for
:: these tools. EFI can not be held responsible in any way if scripts don't behave like
:: they should do resulting in any form of financial loss or downtime. Have a good day.  

:: This script works with the "RenameXMLFile.bat" script before the 'Convert to PDF' and the
:: 'Basic Preflight' modules in the XML Workflow.

:: Fiery JobFlow provided arguments
set INPUT=%~1
set OUTPUT=%~2
set JOBNAME=%~n3
set WORKFLOW=%~4
set PREFLIGHT=%~5
set VAULT=%~6
set NEXTMODULEID=%~7

:next_module
copy /y "%INPUT%" "%VAULT%\Saved.xml"
move /y "%INPUT%" "%OUTPUT%
>>%pathLog% echo %DATE% %TIME% [INFO] Copied %INPUT% to %OUTPUT%

:success
exit /b 0